Description

Now the “Apply” button (on the “Update” issue page) is translated to Russian as «Принять» while should be translated as

«Применить».

If there's some Russian language file I could fix myself and attach it here, please attach one.

Associated revisions

Revision 21701 - 2022-07-10 09:06 - Go MAEDA

Change Russian translation for "Submit" (#32435).

Contributed by Stanislav Ogryzkov.

History

#1 - 2019-11-27 09:51 - Vasili Korol

If this is about the "Accept" button (btn_submit), then the current translation "Принять" is correct.

I can't find any "Apply" buttons in my Redmine 3.4.11, that are translated wrongly to Russian.

#2 - 2019-11-27 10:33 - Stanislav Ogryzkov

Vasili Korol wrote:

If this is about the “Accept” button (btn_submit), then the current translation «Принять» is correct. I can't find any “Apply” buttons in my Redmine

3.4.11, that are translated wrongly to Russian.

 Thanks for the correction. I really thought that the button's label in English was “Apply” (that should be translated into Russian as «Применить»). Now

I've opened my Redmine in English and seen the original button's code is

<input type="submit" name="commit" value="Submit">

so its translation into Russian must be corrected anyway but to «Отправить» (a “classical” translation for “Submit” buttons in Russian UIs).

#3 - 2019-12-07 11:30 - Vasili Korol

Okay, i see your point.

But I don't have a strong opinion here. Personally, I don't find the current translation confusing.

#4 - 2020-07-27 11:48 - VVD VVD

"Сохранить" look better for me.

#5 - 2020-07-27 11:52 - VVD VVD

But it used in several places:

app/views/timelog/bulk_edit.html.erb:<p><%= submit_tag l(:button_submit) %></p>

app/views/messages/show.html.erb:  <%= submit_tag l(:button_submit) %>

app/views/sudo_mode/new.html.erb:  <%= submit_tag l(:button_submit) %>

app/views/sudo_mode/_new_modal.html.erb:    <%= submit_tag l(:button_submit), onclick: "hideModal(this);"  %>

app/views/account/lost_password.html.erb:      <%= submit_tag l(:button_submit) %>

app/views/account/register.html.erb:<%= submit_tag l(:button_submit) %>

app/views/issues/_edit.html.erb:    <%= submit_tag l(:button_submit) %>

app/views/issues/_conflict.html.erb:<p><%= submit_tag l(:button_submit) %></p>

app/views/issues/bulk_edit.html.erb:    <%= submit_tag l(:button_submit) %>
And in plugins too, for example in redmine_dmsf:

plugins/redmine_dmsf/app/controllers/dmsf_workflows_controller.rb:    if params[:commit] == l(:button_submit)

plugins/redmine_dmsf/app/controllers/dmsf_workflows_controller.rb:    if (params[:commit] == l(:button_submit)

) &&

plugins/redmine_dmsf/app/views/dmsf_workflows/_action.html.erb:    <%= submit_tag l(:button_submit), name: 'co

mmit', onclick: 'hideModal(this);' %>

plugins/redmine_dmsf/app/views/dmsf_workflows/_assign.html.erb:    <%= submit_tag l(:button_submit), name: 'co

mmit', onclick: 'hideModal(this);' %>

plugins/redmine_dmsf/test/functional/dmsf_workflow_controller_test.rb:        commit: l(:button_submit),

plugins/redmine_dmsf/test/functional/dmsf_workflow_controller_test.rb:        commit: l(:button_submit),

plugins/redmine_dmsf/test/functional/dmsf_workflow_controller_test.rb:      commit: l(:button_submit),

plugins/redmine_dmsf/test/functional/dmsf_workflow_controller_test.rb:      commit: l(:button_submit),

#6 - 2020-07-27 11:54 - VVD VVD

Forgot to say that it's line "button_submit: Принять" in file "config/locales/ru.yml".

#7 - 2020-07-28 00:05 - Vasili Korol

Both "Отправить" and "Сохранить" are commonly used as translations for "Submit" in computer software. Either of the words will work here.

#8 - 2020-07-28 06:28 - Stanislav Ogryzkov

Vasili Korol wrote:

Both «Отправить» and «Сохранить» are commonly used as translations for “Submit” in computer software. Either of the words will work here.

 I agree that both are better than the current translation «Принять».

However, «Отправить» is a better Russian name for <input type="submit" name="commit" value="Submit">.

«Сохранить» is better when the original button's name in English is “Save”.

#9 - 2022-07-02 09:16 - Go MAEDA

Is it correct that the Russian translation of button_submit should be changed as follows?

diff --git a/config/locales/ru.yml b/config/locales/ru.yml

index a7f6ba6ae..798030517 100644

--- a/config/locales/ru.yml

+++ b/config/locales/ru.yml

@@ -258,7 +258,7 @@ ru:

   button_rollback: Вернуться к данной версии

   button_save: Сохранить

   button_sort: Сортировать

-  button_submit: Принять

+  button_submit: Отправить

   button_test: Проверить

   button_unarchive: Разархивировать

   button_uncheck_all: Очистить

#10 - 2022-07-02 10:11 - VVD VVD

- File Redmine_submit.png added
For example on screenshot better is "Сохранить" than "Отправить" instead of "Принять".

#11 - 2022-07-02 10:40 - Go MAEDA

- Subject changed from The “Apply” button translation to Russian to Change Russian translation for "Submit"

- Target version set to 5.1.0

Setting the target version to 5.1.0.

#12 - 2022-07-07 12:24 - Dmitry Makurin 

VVD VVD wrote:

 

For example on screenshot better is "Сохранить" than "Отправить" instead of "Принять".

 This form uses button_submit label which translation was discussed earlier.

There is another label for "Сохранить" called button_save.

Patch by Go correctly renames only button_submit to "Отправить".

#13 - 2022-07-10 09:07 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA
Updated the translation. Thank you all for your contribution.

Files

Redmine_submit.png 10.2 KB 2022-07-02 VVD VVD
